Introduction

Overview of features

Image formats supported

Editing actions supported

Saving parameters supported

What's new in this release


Overview of features

Introduction

Overview of features

Congratulations on obtaining ReaConverter Pro - a user-friendly yet powerful and feature-rich tool for Windows to edit and convert image files from 340+ formats in batch mode. If you need to do something with more then one image at once you've made the right choice.

The program is a several tools at one.

Image Conversion tool lets you convert your files from different formats and folders to the one, specify the output file type, names, size, and create thumbnails.

Image processing tool lets you test and apply different image editing actions to a large number of files while converting. You can always save all editing actions and use later if needed. Just a several image editing actions available with ReaConverter Pro includes: image resize, crop, rotate, mirror, change color resolution, change image's brightness, contrast, and gamma, change color balance using the filters, add transparency watermarks and borders, replace one color with another, make a transparent GIF, modify images using different effects (sharpen, detail, smooth, blur, contour).

All the actions are available from command line and the program can be used for automated conversion and editing processing.

See also:

Getting Started


Image formats supported

Introduction

Image formats supported

Read Support

Format name | Extension
Adex | img, rle
AIM Grey Scale | ima
ARF | arf
AT&T Group 4 | att
Access | g4
Aces200 | ace
Acorn Sprite | acorn
Adobe Illustrator (requires Ghostscript interpreter) | ai
Adobe PhotoParade | PhP
Adobe Photoshop Document | psd
Advanced Art Studio | ocp
AirNav | nav
Alias Image | pix, als, alias
Alpha Microsystem BMP | bmp
Amapi | 2d
Amica Paint | ami
Amiga IFF | iff, blk
Amiga icon | info
Amstrad CPC screen | cpc
Andrew Toolkit raster object | atk
Apollo HRDU | hdru, hdr
ArcInfo Binary | hdr
Art Director | art
Artisan | art
Artist 64 | a64
Astronomical Image Processing | aip
Astronomical Research Network | arn
Aurora | sim
Auto F/X | afx
Autocad CAD-Camera | img
Autologic | gm, gm2, gm4
Award Bios Logo | epa
Axialis screensaver | ssp
B3D | b3d
BFLI | bfl, bfli
BYU SIR | sir
Bfx Bitware | bfx
Bio-Rad confocal | pic
Blazing Paddles | pi
Bob Ray-Tracer | bob
Buttonz & Tilez texture | til
Brooktrout 301 | brk, 301, brt
CALS Raster Goup 1 | cal, cals
CDU Paint | cdu
CMU Window Manager | cmu
CP8 256 gray scale | cp8
Calamus picture | cpi, crg
Canon Navigator Fax | can
Canon PowerShot | crw
Cartes Michelin | big
Casio QV-10/100 Camera | cam
Chinon ES-1000 digital camera | cmt
Cloe Ray-tracer | clo
ColoRIX | rix, scx, sc?
CompuServe GIF | gif, giff
Computer Eyes, Digital Vision | ce
Computer Eyes, Raw | ce1, ce2
Core IDC | idc
Corel Draw Bitmap (preview) | cdr
Corel Draw Pattern (preview) | pat
Corel Flow | bmf
Corel Metafile Exchange (preview) | cmx
Corel PhotoPaint 6.0 | cpt
CoverDesigner | ncd
CoverDesigner Template | nct
DBW Render | dbw
DIV Game Studio Map | map
DIV Game Studio Multi Map | fpg
DKB Ray-tracer | dis
DPX | dpx
Dali raw | sd0, sd1, sd2
Datacopy | img
Degas / Degas Elite | pi, pc
Deluxe Paint, Electronic Arts | lbm
Dicom 3 | dcm
Digital F/X | tdim, graf
Digital Research (GEM Paint) | img
Discorp CMP Image | cmp
Doodle Atari | doo
Doodle C64 | dd
Doodle C64 Compressed | jj
Dr Halo | cut
Draz Paint | drz
EPS Interchange Format (requires Ghostscript interpreter) | epi
ESM Software Pix | pix
Ecchi | ecc
Edmics | c4
Electric Image | ei, eidi
Encapsulated Postscript (Preview) (requires Ghostscript interpreter) | eps
Enhance Simplex | esm
Explore (TDI) & Maya | tdi, iff
FIT | fit
Fax Group 3 | g3, fax
Fenix Map | map
Fenix Multi Map | fpg
FlashImage | fi
Flexible Image Transport Systeme | fits, fts, fit
Fuzzy Bitmap | fbm, cbm
GeoPaint | geo
GFA Raytrace | sul
Gimp Bitmap | xcf
Gimp Brush | gbr
Gimp Icon | ico
Gimp Pattern | pat
GoDot | 4bt, clp
HF | hf
HP-48/49 Grob | gro, grb
HRU | hru
HSI Raw | raw
Half-Life Model | mdl
Hayes JTFax | jtf
Hemera Photo Image | hpi
Heretic II MipMap | m8
Hi-Eddi | hed
Hires C64 | hir
HomeWorld Texture | lif
IBM Kips | kps
IBM Printer Page Segment | pse
IM5 (Visilog) | im5
IMNET Image | imt
IOCA Image Object Content | ica
ISS | iss
Image Capture Board | icb
Image Magick | mif, miff
Image Speeder | ish
Image System (Hires) | ish
Image System (Multicolor) | ism
Image Systems RLC2 Graphic | rlc2
ImageLab | b&w, b_w
Imaging Fax | g3n
Imaging Technology | img
Img Software Set | img
Inshape | iim
InterPaint (Hires) | iph
InterPaint (Multicolor) | ipt
Intergraph Format | itg, cit, rle
Iris CT | ct
Interleaf | iimg
Joint Photographic Experts Group | jpg, jpeg, jif, jfif, J
Jeff's Image Format | jif
Jovian VI | vi
JustButtons animated bitmap | btn
Khoros Visualization image file | vif, viff, xv
Kinupix skin | skn
KiSS Cel | cel
Koala Paint | koa
Koala Paint Compressed | gg
Kodak Cineon | cin, dpx
Kodak DC120 Digital Camera | kdc
Kodak DC25 Camera | k25
Kodak Photo CD | pcd
Kofax Group 4 | kfx
Konica Camera File | kqp
LView Pro | lvp
LaserData | lda
Light Work Image | lwi
LucasFilm Format | lff
Lumena CEL | cel
MGI Photosuite Project | pzp
MAGIchan graphics | mag
MGR bitmap | mgr
MTV Ray-tracer | mtv
Mac Paint | mac, mpnt
Macintosh Quickdraw/Pict | pic, pict, pct
Maggi Hairstyles & Cosmetics | fff
Male MRI | fre
Male Normal CT | pd
Marks Russel File | mrf
Mavica | 411
Mayura Draw | pdx
MegaPaint | bld
Megalux Frame | frm
Micro Dynamics MARS | pbt
Micro Illustrator Uncompressed | mil
Microsoft Paint | msp
Microtek Eyestar | img
Mindjongg Format | ipg
MonkeyCard | pdb
MonkeyLogo | pdb
Msx 2 Screen | sc2
Multiple Network Graphics | mng
NCR Image | ncr
NIST Ihdr | pct
National Imagery Transmission Format | nitf
NeoBook Cartoon | car
Neochrome (ST & TT) | neo
Neopaint Mask | nmp
Neopaint Stamp | stw
Nikon D1 digital camera | nef
Nokia Group Graphics | ngg
Nokia Logo File | nlm
Nokia Operator Logo | nol
OAZ Fax | oaz
OS/2 Bitmap | bmp, bga
Olicom Fax | ofx
Open Image Library Format | oil
Optocat | abs
OS/2 Warp | bga
PABX background | pix
PC Paint / Pictor Page | pic, clp
PCO | b16
PM | pm
Page Control Language | pcl
Paint Magic | pmg
PaintShopPro Browser Cache File | jbf
PaintShopPro Frame | pfr
PaintShopPro Image | psp
PaintShopPro Mask | msk
PaintShopPro Pattern | pat
PaintShopPro Picture Tube | tub
PaintShopPro Texture | tex
Palm Pilot | pdb
Pegs | pxa, pxs
Pfs Art Publisher | art
Photo Deluxe | pdd, pdb
PhotoFantasy Image | fsy
PhotoStudio File | psf
PhotoStudio Stamp | stm
Photomatrix | cat
Photopaint Image | apx
Picasso 64 | p64
Picture Gear Pocket | prc
Pixar picture file | pic, pxr, picio, pixar
Pixel Power Collage | ib7, i17, i18, if9
Pixia | pxa
Pixibox | pxb
Planetary Data System | pds, img
Pocket PC bitmap | 2bp
Polychrome Recursive Format | prf
Portable Bitmap | pbm, rpbm
Portable Document Format (requires Ghostscript interpreter) | pdf
Portable Greyscale | pgm, rpgm
Portable Image | pnm, rpnm
Portable Network Graphics | png
Portable Pixmap | ppm, rppm
Portfolio Graphics | pgf
Portfolio Graphics Compressed | pgc
Portrait | cvp
Poser Bump files | bum
Postscript (requires Ghostscript interpreter) | ps
PowerPoint (images) | pps
PowerPoint Presentation (images) | ppt
Printfox/Pagefox | bs, pg, gb
Prisms | pri
Psion Series 3 | pic
Psion Series 5 | mbm
Punk Productions Picture | ppp
Puzzle | pzl
Q0 | q0
Qdv (Random Dot Software) | qdv
Qrt Ray-tracer | qrt
Quake Texture | wal
Quantel VPB | vpb
Quicktime Picture | qtif, qti
RIPTerm Image | icn
Radiance | rad, img, pic
Rainbow Painter | rp
Raw | raw, gry, grey
Rayshade | pic
Red Storm File Format | rsb
Ricoh Digital Camera | j6i
Ricoh Fax | 001
Ricoh IS30 | pig
RunPaint (Multicolor) | rpm
SBIG CCD camera ST-4 | st4
SBIG CCD camera ST-X | stx, st4, st5, st6, st7, st8
SPOT | dat
Saracen Paint | sar
SciFax | sci
SciTex Continuous Tone | sct, sc
Seattle Film Works | sfw
Seattle Film Works multi-image | pwp
Sega SJ-1 DIGIO | sj1
Sharp GPB | img
Silicon Graphics RGB | rgb, bw, iris, sgi
Skantek | skn
Slow Scan Television | hrz
Smartfax | 001
SmoothMove Pan Viewer | pan
Softimage bitmap | pic, si
Solitaire Image Recorder | sir
Sony DSC-F1 Cyber-shot | pmp
Sony Playstation TIM PSX | tim
Spectrum 512 | spu
Spectrum 512 compressed | spc
Spectrum 512 smooshed | sps
SriSun | ssi
Stad | pic, pac, seq
Star Office Gallery | sdg
Starbase | img
Stardent AVS X | x, avs, mbfs, mbfavs
Stereo Image | jps
Sun Icon/Cursor | icon, cursor, pr
Sun Raster Images | ras, rast, sun, sr, scr, rs
Sun TAAC file format | iff, vff, suniff, taac
Synthetic Universe | synu, syn
TG4 | tg4
TI-73/82/83/85/86/89/92 Bitmap | 73i, 82i, 83i, 85i, 86i, 89i, 92i
TIFF Revision 6 | tif, tim, tiff
TRS 80 | hr
TealPaint | pdb
Thumbnail | tnl
Tiny | tny, tn1, tn2, tn3
Total Annihilation | gaf
TrueVision Targa | tga, pix, bpx, vda, icb, vst
Ulead Pattern | pst
Ulead PhotoImpact | upi
Ulead Texture | pe4
Usenix FaceServer | fac, face
Utah Raster image | rle
VITec | vit
VRML 2 | wrl
Verity | vif
Video Image Communication And Retrieval | vic, vicar, img
Vidcom 64 | vid
Video Display Adapter | vda
Video for windows | avi, vfw
Vista | vst
Vivid Ray-tracer | img
Vort | pix
Vue d'Esprit | vob
Wavefront Raster file | rla, rlb
Webshots | wbc, wbp, wbz
Winfax | fxs, fxo
WinMIPS | pic
Windows & Aldus Metafile | wmf
Windows Animated Cursor | ani
Windows Bitmap | bmp, rle, rl4, rl8, sys
Windows Clipboard | clp
Windows Cursor | cur
Windows DIB | dib
Windows Enhanced Metafile | emf
Windows Icon | ico
Wireless Bitmap (level 0) | wbmp, wbm, wap
Word Perfect Graphics (for bitmap data) | wpg
X Windows System window dump | xwd, x11
X11 BitMap | xbm, bm
X11 PixMap | xpm, pm
XV Visual Schnauzer | p7
Xara (images) | xar
Xerox DIFF | xif
Xim file | xim
Xionics SMP | smp
YUV 16Bits | yuv, qtl, uyvy
YUV 4:1:1 | yuv, qtl
ZX Spectrum Hobetta | $s, $c, !c
ZX Spectrum standard screen | scr
ZX Spectrum Snapshot | sna
ZZ Rough | rgh
Zoner Zebra Metafile (preview) | zbr
Zsoft Multi-page Paintbrush | dcx
Zsoft Publisher's Paintbrush | pcx, pcc, dcx
byLight | bif

Write Support

BMP, JPG, GIF, PBM, PGM (ASCII), PGM (binary), PNG, PPM (ASCII), PPM (binary), TGA, TIF, PCX, JP2, ICO.


Editing actions supported

Introduction

Editing actions supported

Image processing tool lets you test and apply different image editing actions to a large number of files while converting. You can always save all editing actions and use later if needed.

Image editing actions available at the 2nd Step of the program applies to all images prepared for the conversion at the 1st Step.

Every action can be tested on the Test image separately and with other actions added to a script.

Script is a number of actions that will proceed all of the selected images. Changing the value of separate action you will see how it will affect images and can easily retrieve the test image to test the different value or action.

The basic image editing actions available with ReaConverter Pro includes: image resize, crop, canvas size, rotate, mirror, change color resolution, change image's brightness, contrast, and gamma, change color balance using the filters, add transparency watermarks and borders, replace one color with another, make a transparent GIF, modify images using different effects (sharpen, detail, smooth, blur, contour).

See also:

Image editing actions

Test image

Script


Saving parameters supported

Introduction

Saving parameters supported

The output files can be saved as:

BMP, JPG, GIF, PBM, PGM (ASCII), PGM (binary), PNG, PPM (ASCII), PPM (binary), TGA, TIF, PCX, JP2, ICO.

"Additional Settings" provides you with advanced saving settings for: GIF, PNG, TIFF, JPG, PCX, TGA, BMP, JP2 (JPEG 2000), ICO and Multi page PDF/GIF/TIF.

JPG saving parameters include "Quality" that values with desired % from the 'best quality' as 100%; "Size" that values in Kb (Kilobytes); an ability to create a progressive JPG.

GIF and PNG saving parameters include an ability to create transparent color and an ability to create an interlaced file.

TIF saving parameters include several compression types: Huffman; PackBits (RLE); CCITT Group 3, 1D; CCITT Group 3, 2D; CCITT Group 4, 2D.

BMP, TGA and PCX saving parameters include an ability to create compressed file.

Multi page PDF/GIF/TIF saving parameters include 3 options: "Convert each multipage file to another" (one into one); "Save all processed files to one GIF/TIF file" (many into one); "Save every page as a separate file".

Output color resolution includes an ability to specify output "Bits per sample" and "Samples per pixel" parameters. There are 3 options: "Use value of original file", "Use the following values", "Use optimum values".

Output dpi resolution allows you to set X and Y resolition for output image files. It includes 2 options: "Use values of original file" and "Use the following values".

Alpha channel setings include an ability to copy information about transparency from original file. This option will work for PNG and GIF files only.

IPTC information settings include an ability to copy IPTC information from original file.

EXIF information settings include an ability to copy EXIF information from original file.

Other saving parameters do not depends from the file type and relate to output files' properties and saving process: converted file date, path info, and file name.

Making a long list of files it is very convenient to have corresponding thumbnails for every image. ReaConverter Pro can also create thumbnails as JPG files to the desired folder at desired size, quality and names.

See also:

Step 3 - Specify save parameters

Saving images

How to save files to the fixed size

How to make transparent GIF

How to create thumbnails


What's new in this release

Introduction

What's new in this release

ReaConverter Pro v3.4 released at May 2004.

The new version now allows creating animated GIF files and saving to ICO format. It also supports new image editing action so it allows you to replace a solid background with a specified image. The color replace action now uses improved methods to replace colors with more precision. The new release also allows previewing converted files at the end of conversion and saving EXIF information from an original file.


User interface

Summary

Step 1 - Select files

Step 2 - Choose actions

Step 3 - Specify save parameters


Summary

User interface

Summary

In this section the user interface components of ReaConverter Pro are described.

The ReaConverter Pro navigation constructed as a wizard of 3 main steps: Step 1 - Select files, Step 2 - Choose actions, Step 3 - Specify save parameters.

Navigation through steps:

You can navigate through steps

  • by clicking on appropriate tabs;
  • using Main Menu > Operations > Step 1, Step 2 or Step3;
  • using hot keys: Ctrl+F1 for Step 1, Ctrl+F2 for Step 2, Ctrl+F3 for Step 3.

Navigation at main menu:

The main menu navigates you through every main action:

Main Menu => File

  • Open... - opens standard Windows application to open files. Opened files will be added to File List (Ctrl+O).
  • Open File List - inputs your files to work on from saved .txt list
  • Save File List - saves list of files added to File List to currently opened and using file list .txt file
  • Save File List As...- saves list of files added to File List to the new .txt file

Main Menu => Script

  • New Script - creates new script (image editing actions) - and saves the previous
  • Open Script - opens saved image editing actions
  • Save Script - adds image editing actions to currently opened and using script (Ctrl+S)
  • Save Script As... - saves image editing actions to apply for your images later
  • Set default script - saves the name of the current script to open the script next time you start the program

Main Menu => Settings

  • Load Parameters... - loads saved parameters that includes saving parameters and test image
  • Save Parameters As... - saves software parameters for the future use
  • EMF/WMF loading settings... - sets settings for loading EMF and WMF files to convert
  • EPS/PDF loading settings... - sets DPI resolution for loading EPS, PS and PDF files to convert
  • RAW loading settings... - sets width, height, channel type and offset for loading RAW files to convert
  • Priority settings... - sets the global priority of the program, changing the priority can make it run faster or slower but it can also adversely affect the performance of other programs.

Main Menu => Operations

  • Step 1 Ctrl+F1 - Select files to work with
  • Step 2 Ctrl+F2 - Create image editing script and test on sample image
  • Step 3 Ctrl+F3 - Specify Save Parameters
  • Start conversion F5 - Process your images

Main Menu => Languages

Choose from the list of available languages of the software interface or download it from web.

Main Menu => Help

  • About - information about the license owner
  • Help topics - help of the program (F1)
  • ReaConverter Pro web page - home page with updates, support, forum, etc.
  • Enter registration info - registration of the trial copy

See also:

Getting Started


Step 1 - Select files

User interface

Step 1 - Select files

In this section the user interface components of ReaConverter Pro 'Step 1 - Select files' are described.

The 1st Step interface includes two main windows: File system (displays your file system) - at left and File List (displays added files to work on) - at right.

Navigation

  • You can navigate through your file system by clicking on folders and drives.
  • To open a folder or a drive, double click on the appropriate icon.
  • To move up one folder, click the button "Go up".
  • The current folder you are inside is shown in the box just above window of files selection.
  • To work on images you should add them to File List (Files to convert right-window).
  • To add images from the folder and its sub-folders, click the folder and push "Add all to File List" button.
  • To add a file click the file name and push "Add to File List" button.
  • To add files from a folder select them and push "Add to File List" button.
  • To remove file from File List, choose it and press "Remove" button.
  • To remove all files from File List, use "Remove All" button.

See also:

Step 2 - Choose actions

How to add files to work on

Adding files with different extension

Adding files from different folders


Step 2 - Choose action

User interface

Step 2 - Choose action

In this section the user interface components of ReaConverter Pro 'Step 2 - Choose actions' are described.

The 2nd Step interface includes three main parts: "List of possible actions" (displays tabs of image editing actions) - at left, "Script" window (displays added actions) and "Test image" (displays your sample image) window - at right.

Navigation

  • To choose image editing action click the "Browse..." button or choose an appropriate action from "List of possible actions".
  • To try any editing action in any value on a sample image use "Apply to test".
  • To apply any editing action in any value to all selected images use "Add action to Script".
  • To change action at the script, choose it at the script window and use "Update".
  • To delete editing action from the script use "Remove".
  • To set a queue of actions at the script us "Move Up" and "Move Down".
  • To try all actions added to the script on a sample image use "Test Script".
  • To restore test image after applying actions or script use "Retrieve".
  • To restore test image after applying last action use "Undo last".
  • To view test image double click it or use "View image".

See also:

Step 3 - Specify save parameters

Editing images

Test image

Script


Step 3 - Specify save parameters

User interface

Step 3 - Specify save parameters

In this section the user interface components of ReaConverter Pro 'Step 3 - Specify save parameters' are described.

The 3rd Step interface includes two main parts: "Save parameters" and "Thumbnail Parameters" (optional). To switch between this parts click appropriate tab.

Navigation

  • You can navigate through your file area to choose your output folder using "Browse".
  • Click the extension (BMP, TGA, PNG, TIF, etc.) to save selected files in.
  • To save converted files with edited file name's cases use "Lower case" or "Upper case" (change case of selected files) or point "Use lower case extension" to save all files with lower case extension.
  • You can also change the file names using "Add Prefix/Suffix" settings. It can be text, "numeric" or date+time, an example area will show a result.
  • To rename converted files use "Replace in filename".
  • Click "Thumbnail Parameters" tab to specify thumbnails features.
  • To apply advanced saving settings, use "Additional Settings" that provides you with advanced saving settings for: GIF, PNG, TIFF, JPG, PCX, TGA, BMP, JP2 (JPEG 2000), Multi page PDF/GIF/TIF, output color and dpi resolution, alpha, IPTC and EXIF information.

See also:

Saving images

Saving parameters supported

How to create thumbnails


Using ReaConverter Pro

Getting started

Converting images

Editing images

  • Actions parameters
  • Test image
  • Script

Saving images

Command line utility

  • Overview
  • Format of text script file
  • Format of config file


Getting started

Using ReaConverter Pro

Getting started

From this section you can find out how to add files, save and load saved parameters, save and load saved File List and used script to work on images.

Add files.

Navigate through your file system at the 1st Step by clicking on folders and drives at the left part of the window, select folder or files and "Add all to File List" to move them to the right window (File List).

Load and save parameters.

As you can see, the program is already opened with all your last time using parameters. Starting the work with the program, it is very convenient to load parameters saved before. The parameters that can be loaded includes: current folder of your images, your test image and all saving parameters.

Open and Save File List.

If you did not finished working on files last time you can load the list right at the starting. To make this, use Main menu > File > Load File List... If you change File List now you can save it to use later. To make this, use Main menu > File > Save File List As...

Open a script.

Last time you finished working with the program it asked you to save your current script. Maybe there were some similar and complicated projects that were saved to a script to use later. Now you can open your script to work again. Use Main menu > Script > Open Script. Changing script you can save any current change right away. Use Main menu > Script > Save Script.

See also:

How to add files to work on


Converting images

Using ReaConverter Pro

Converting images

From this section you can find out how to change the extension of your files to the one needed.

Conversion is a ReaConverter Pro feature that gives you an ability to change the extension of your files to the one needed. Your images can be saved as - BMP, JPG, GIF, PBM, PGM (ASCII), PGM (binary), PNG, PPM (ASCII), PPM (binary), TGA, TIF, PCX, JP2, ICO. You can also combine the conversion with image editing.

To give you an idea how it works we provide you with this short description:

After you start the program, navigate through your file system by clicking on folders and drives at the left part of the first step window, select folder or files and use "Add all to File List" (or just "Add to File List") to move them to the right window (File List). The program can work with files from different folders and of different file extensions at the same time.

If all that you need is just convert you images then skip the 2nd Step and go to the third. If no, choose the way you would like to edit images and go to the last step. Specifying saving parameters, you already making the task to change the extension of your added files to the one needed.

Now use "Start" button and get every of your long list of files edited with your saved actions (if selected) into your desired file format.

See also:

Editing images


Editing images

Using ReaConverter Pro

Editing images

From this section you can find out how to edit your images.

Image editing is a second main feature that gives you an ability to work up one or many images according to the one editing way. For example, you can resize images to half the original size, crop them, change the color depth, and apply a watermark - all in a single step. Each action can be tested on a sample image, so you can see the effect it will have on your images.

See also:

Image editing actions

How to edit images

How to change color resolution

How to make a border

How to crop images

How to make watermark


Editing images :: Actions parameters

Using ReaConverter Pro

Editing images :: Actions parameters

ReaConverter Pro currently supports most popular editing features digital artist may occur. Click the appropriate tab to choose between action's settings.

Rotate. This action rotates your images on desired degrees both clockwise and counter-clockwise, aslo it can automatically calculate angle and rotate images in the automatic mode. This is a great feature for organizing your art work.

Mirror. Say, you have scanned slides of one holiday scanned from both sides where the seaside now here, now there. This action mirrors your images horizontally or vertically.

Crop. If you need just a part of the image, you can crop it. This action allows you to crop images from any edge, crop them from the center or crop images in automatic mode.

Resize. This action has been designed to change an image size. You can change width and height separately or at the same time. You can indicate new image size by pixels or percentage from the initial size, keep or ignore aspect.

Canvas size.The action lets you add or remove work space around an existing image. You can crop an image by decreasing the canvas area.

Watermark. This action helps you to apply graphic watermark on your images to protect your copyright. You can indicate its position, opacity level, transparent color and its tolerance.

Text watermark. This action allows you to place a text watermark on your images. You can set its position, opacity level, font parameters and optionally place a name of converted file.

Add border/shadow. With this action you can add color border or shadow to your images. The form of the border can be rectangle or ellipse. Placing border inside your image you will replace image's pixels by the border color. Placing border outside your image you will have it right behind your image. Making shadow to your image specify its size and distance that means interval between right-down corner of initial image and right-down corner of its background.

Color replace. "Original color" is the color that should be changed by "Replacement color". You can indicate both of them pointing RGB code or define the color right from the palette.

Replace background. Using the action you can replace a solid background with a specified image.

Color resolution. You can change number of colors used to present your image. Usually, the less number of colors you choose, the smaller file you can get. Using differing option can improve quality of your images but it will increase the file size.

HVS.The HVS action allows you to change the colour of the picture with the other colour base, using Hue, Saturation and Value (lightness) parameters. Changing saturation turns your picture more colourful. Change of the lightness gives the more realistic effect than the change of the brightness.

Smooth.The smooth filter softens an image, and is useful for retouching. It smooth transitions by averaging the pixels next to the hard edges of defined lines and shaded areas in an image.

Blur. Eliminates noise where significant color transitions occur in an image. Blur filter smooths transitions by averaging the pixels next to the hard edges of defined lines and shaded areas. Tent, Rectangle and Gaussian are different methods used to avarage pixels color.

Sharpen.The Sharpen filter focuses blurry images by increasing the contrast of adjacent pixels.

Detail. The filter will allow you to get more effect than the sharpen filter.

Remove noise. It allows you to remove all groups of isolated pixels. You will be able to specify a number of black or white pixels in each group.

Contour. This is an edge detection filter. Radius describes a quality of result, strength allows you to get more or less effect of the action. In real life applications, this filter can be used to create geographical contour maps.

Brightness, contrast and gamma. This action allows you to adjust brightness, contrast and gamma of an image.

RGB. This action allows you to increase or decrease the amount of Red, Green or Blue color in your image.

CMY. Using the action you can change Cyan, Magenta and Yellow balance of an image.

YCbCr. It will allow you to adjust your image in YCbCr color space.

HLS. The action lets you adjust the hue, lightness, and saturation of your image. Adjusting the hue, or color, represents a move around the color wheel. Adjusting the saturation, or purity of the color, represents a move across its radius.

A. Saturation B. Hue C. Brightness D. All hues

See also:

How to edit images

Script

Test image


Editing images :: Test image

Using ReaConverter Pro

Editing images :: Test image

From this section you can find out how to work with sample image.

If you are preparing image editing script to work open one of your images to try every editing action in any value. To make this use "Load..." button.

To give you an idea how to test editing actions on a sample image we provide you with this short description:

Open your sample image, and "Apply to test" at the bottom of any action to see how this value will affect your image. If you have already made the script you can try any separate action with "Test Action" or all actions at the script with "Test Script".

To return to the initial image look use "Retrieve" or "Undo last" to take off the last applied action.

When you double click the image the full test image window opens.

If you have tested all the actions you can now save your sample image as BMP, JPG, GIF, PBM, PGM, PNG, PPM, TGA, TIF, PCX and JP2.

See also:

Script

Editing images


Editing images :: Script

Using ReaConverter Pro

Editing images :: Script

From this section you can find out how to apply lots of editing actions to your images while converting.

Script is a set of image editing actions that should work on your images. The order of actions shows the order of application. Say, you have a script of actions

Crop

Resize

Add border/shadow

This script will work on your images right at this order.

To change the order, use "Move Up" and "Move down" when standing at the action to move. You can also remove any action with "Remove" or del staying at the action to remove from the script.

If you now would like to finish the work, you will be asked to save your script to use it later.

See also:

Editing images

Image editing actions

How to use saved script


Saving images

Using ReaConverter Pro

Saving images

Specifying saving parameters at the 3rd Step, you already making the task to change the extension of your added files to the one needed.

Your images can be saved as - BMP, JPG, GIF, PBM, PGM (ASCII), PGM (binary), PNG, PPM (ASCII), PPM (binary), TGA, TIF, PCX, JP2, ICO. Click the appropriate extension (BMP, TGA, PNG, TIF, etc.) to save selected files in.

To set advanced saving parameters use "Additional Settings":

  • Saving your files as JPG you can specify its Quality or Size also as create progressive JPG. Saving as JP2 you can also set it's Quality.
  • Saving as GIF/PNG files you can make transparent color, set "PNG compression level" or create an interlaced GIF/PNG.
  • Saving as TIF you can indicate one of several compression types (Huffman; PackBits (RLE); CCITT Group 3, 1D; CCITT Group 3, 2D; CCITT Group 4, 2D).
  • Saving as BMP, TGA or PCX you can create an appropriate compressed file.

Multi page PDF/GIF/TIF saving parameters:

  • "Convert each multipage file to another" (one into one).

Input files can be PDF, TIF, GIF. The option will work only if specified output file is TIF or GIF. If specified output file extension will be different only the first page of multi page file will be saved.

  • "Save all processed files to one GIF/TIF file" (many into one).

Input files can be any; the option will work only if specified output file is TIF or GIF. The name of the output multi page file will be the name of the first input file. If specified output file will be different the software will convert all files to the specified extension (one to one).

  • "Save every page as a separate file".

Input files can be multi page PDF, TIF or GIF. Output file can be any of the available. Here you can also specify the initial numeration for prefix or/and suffix (check "Add prefix starting from" or/and "Add suffix starting from").

The basic renaming rules include:

  • Prefix. To add prefix to filename click the appropriate field and write what should go before the name of every file.
  • Suffix. To add suffix to filename click the appropriate field and write what should go after the name of every of file.
  • Renaming. To rename converted files use "Replace in filename" ... (what should be replaced) by ... (by what should be replaced).
  • Changing case extension of file name. To save files with lower case extension of file name point "Use lower case extension".
  • Changing case of file name. To save files with lower case / upper case of file name point "Lower case" / "Upper case" at "Change case of file name" window.

All images will be saved at "Destination folder". "Browse:" through your file system to select one.

Setting the "Overwriting existing file" option to "Ask" you will be asked every time when writing on existing files, "Replace" means overwriting without confirmation, and existing files will not be overwritten if you choose the "Skip" option.

You can also try some additional features that include:

deleting all successfully processsed files after conversion ("Delete files after conversion"),

making the creation day of output files the same as input ("Set converted file date same as original")

"Convert with saving path info from root/current folder". Using this option your output files will be saved into "Destination folder" but into sub-folders with the same names as initial folders of input images have.

and

A prefix and/or a suffix can be specified for inclusion to the converted file name. There are three types of the prefix and suffix: Text, Number and Date+time. Date+time is a string that contants information about current date+time in the following format: MMDDYYHHMMSSmmm, where MM = month, DD = day, YY = year, HH = hour, MM = minute, SS = second and mmm = milisecond. You can set them by using the corresponding drop-down list boxes. The example of modifying the file name for the current options is displyed at the bottom of the "Add prefix/suffix" panel.

See also:

How to convert images

How to edit images

How to save files to the fixed size

How to make transparent GIF/PNG (How to... > Make transparent GIF/PNG)


Command line utility :: Overview

Using ReaConverter Pro

Command line utility :: Overview

ReaConverter Pro command line utility allows you to process image files in console mode using script file (*.wps) created by ReaConvertor Pro main program or using text script file (*.wpt) created by any text editor.

Format of usage the command line utility:

1) cons_pic.exe config.cfg script.wps
2) cons_pic.exe config.cfg script.wpt
3) cons_pic.exe config.cfg

or, if you do not need to print anything to the screen

1) cons_pic.exe config.cfg script.wps /hide
2) cons_pic.exe config.cfg script.wpt /hide
3) cons_pic.exe config.cfg /hide

Where config.cfg is configuration file like this:

[Common]
Source=c:\pictures
Ext_source=bmp
Destination=c:\result
Ext_dest=jpg
Same_date=0
Save_path=1
Use_FileList=
Read_Subfolders=0
Wmf_zoom=100
Overwrite=0
Delete_files=0
Eps_dpi=72
Raw_width=640
Raw_height=480
Raw_color=1
Raw_offset=0
Priority=3

[File name]
Prefix=new_
Suffix=_new
Prefix_num=0
Suffix_num=0
Add_prefix=1
Add_suffix=0
Leading_zeros=0
Digits=0
File_case=0
Ext_case=0
Replace_name=0
Substring_1=
Substring_2=

[Jpeg]
Quality=75
Size=50
Use_quality=1
Progressive=0
Color_model=0

[Gif]
Auto_color=0
Color_red=0
Color_green=0
Color_blue=0
Transparency=0
Interlaced=0

[Tif]
Compression=6

[Png]
Auto_color=1
Color_red=0
Color_green=0
Color_blue=0
Transparency=0
Interlaced=0
Compression=9

[Bmp]
Compressed=0

[Pcx]
Compressed=0

[Tga]
Compressed=0

[Jp2]
Quality=75

[Ico]
Multipage=0
Custom=1
Width=32
Height=32
Color_res=2

[Multipage]
Option=0
Multipage_prefix=0
Multipage_suffix=0
Add_multipage_prefix=0
Add_multipage_suffix=0

[Save_params]
Color_option=1
Bits_per_sample=8
Samples_per_pixel=1
Dpi_option=0
Dpi_x=72
Dpi_y=72
Copy_alpha=0
Copy_iptc=1

[Thumbnail]
Create=1
Destination=c:\
Jpg_quality=75
Jpg_res=72
Height=100
Width=150
Save_path=1
Prefix=thumb_
Suffix=_thumb
Add_prefix=0
Add_suffix=0
Ext_case=1
Case=1
Resize_type=1
Do_not_resize_if_less=0
Overwrite=0

And script.wpt is text script file like this:

Watermark(C:\NOT_REG.BMP;100;100;100)
Text_watermark(copy;50;50;90;Times New Roman;24;255;0;0;1;0;0;0;0)
Add_Border(5;128;128;128;1)
Rotate(90;1;128;128;128)
Mirror(1)
Crop(10;10;10;10)
Resize(100;100;1)
Canvas_Size(300;300;5;255;255;255)
HSV(0;0;0)
Smooth(0.75;50;1)
Blur(2.50;50)
Sharpen(0.75;50;1)
Detail(0.75;50;1)
Contour(1.00;100;1;1)
BCG(0;0.58;1.65;2)
RGB(30;0;0)
CMY(0;0;0)
YCbCr(0;0;0)
HLS(0;0;0)
Color_Replace(128;128;128;128;128;128;5)
Change_to_2(1)
Change_to_16(1)
Change_to_256(1)
Change_to_True
Change_to_Gray(1)
Change_to_Negative

See also:

Format of text script file

Format of config file


Command line utility :: Format of text script file

Using ReaConverter Pro

Command line utility :: Format of text script file

There is a new format of script file (*.wpt) you can use to process your image files. The script file is just a text file that can be created by any text editor (like notepad). Each string line of the file must be one of the following commands:

BCG(i1;r1;r2;p1) changes Brightness, contrast and gamma balance
i1 - brightness (integer from -100 to 100%)
r1 - contrast (real from 0.2 to 5.0)
r2 - gamma (real from 0.2 to 5.0)
For p1 = 1 the filter will applied on Y
For p1 = 2 the filter will applied on RGB

RGB(i1;i2;i3) changes Red, Breen and Blue balance
i1 - Red (integer from -100 to 100%)
i2 - Green (integer from -100 to 100%)
i3 - Blue (integer from -100 to 100%)

CMY(i1;i2;i3) changes Cyan, Magenta and Yellow balance
i1 - Cyan (integer from -100 to 100%)
i2 - Magenta (integer from -100 to 100%)
i3 - Yellow (integer from -100 to 100%)

YCbCr(i1;i2;i3) changes Y, Cb and Cr balance
i1 - Y (integer from -100 to 100%)
i2 - Cb (integer from -100 to 100%)
i3 - Cr (integer from -100 to 100%)

HLS(i1;i2;i3) changes Hue, Luminance and Saturation balance
i1 - Hue (integer from -100 to 100%)
i2 - Luminance (integer from -100 to 100%)
i3 - Saturation (integer from -100 to 100%)

HSV(i1;i2;i3) changes Hue, Saturation and Volume balance
i1 - Hue (integer from -100 to 100%)
i2 - Saturation (integer from -100 to 100%)
i3 - Volume (integer from -100 to 100%)

Smooth(r1;i1;p1) applies Smooth filter
r1 - Std. deviation (real from 0.4 to 1.3)
i1 - Strength (integer from 10 to 100%)
For p1 = 1 the filter will use Tent distribution shape
p1 = 2 the filter will use Rect distribution shape
p1 = 3 the filter will use Gaussian distribution shape

Blur(r1;i1) applies Blur filter
r1 - Readius (real from 0.5 to 2.5)
i1 - Strength (integer from 10 to 100%)

Sharpen(r1;i1;p1) applies Sharpen filter
 r1 - Std. deviation (real from 0.4 to 1.3)
i1 - Strength (integer from 10 to 100%)
For p1 = 1 the filter will use Tent distribution shape
p1 = 2 the filter will use Rect distribution shape
p1 = 3 the filter will use Gaussian distribution shape

Detail(r1;i1;p1) applies Detail filter
r1 - Std. deviation (real from 0.4 to 1.3)
i1 - Strength (integer from 10 to 100%)
For p1 = 1 the filter will use Tent distribution shape
p1 = 2 the filter will use Rect distribution shape
p1 = 3 the filter will use Gaussian distribution shape

Remove_noise(i1;p1) Removes all groups of isolated pixels.
i1 - number of pixels
For p1 = 0 groups of black pixels will be removed
p1 = 1 groups of white pixels will be removed

Contour(r1;i1;p1;p2) applies Contour filter
r1 - Std. deviation (real from 0.4 to 1.3)
i1 - Strength (integer from 100 to 1000%)
For p1 = 1 the filter will use Tent distribution shape
p1 = 2 the filter will use Rect distribution shape
p1 = 3 the filter will use Gaussian distribution shape
For p2 = 1 the filter will use White background
p2 = 2 the filter will use Black background

Contour(r1;i1;p1;p2) applies Contour filter
r1 - Std. deviation (real from 0.4 to 1.3)
i1 - Strength (integer from 100 to 1000%)
For p1 = 1 the filter will use Tent distribution shape
p1 = 2 the filter will use Rect distribution shape
p1 = 3 the filter will use Gaussian distribution shape

Rotate(i1;p1;i2;i3;i4) Rotates an image
i1 - Angle (integer from 0 to 360)
i2 - Red component of background color (integer form 0 to 255)
i3 - Green component of background color (integer form 0 to 255)
i4 - Blue component of background color (integer form 0 to 255)
For p1 = 1 the an image will be rotated Clockwise
p1 = 1 the an image will be rotated Counter clockwise>

Rotate(i1;i2;i3) Rotates an image in automatic mode
i1 - Red component of background color (integer form 0 to 255)
i2 - Green component of background color (integer form 0 to 255)
i3 - Blue component of background color (integer form 0 to 255)

Mirror(p1) Mirrors an image
For p1 = 1 the an image will be mirrored Vertically
p1 = 1 the an image will be mirrored Horizontally

Crop(i1;i2;i3;i4) Crops an image from adges
i1 - Pixels from an image Top (integer)
i2 - Pixels from an image Bottom (integer)
i3 - Pixels from an image Left (integer)
i4 - Pixels from an image Right (integer)

Crop(i1;i2) Crops an image from center
i1 - Height (integer)
i2 - Width (integer)

Crop(i1) Crops an image in automatic mode
i1 - Tolerance (integer from 0 to 99)

Resize(i1;i2;p1) Resizes an image by Pixels
i1 - New Height of an image (integer)
i2 - New Width of an image (integer)
For p1 = 1 Height will be used to calculate new Width (keepping aspect)
p1 = 2 Width will be used to calculate new Height (keepping aspect)
p1 = 3 both Height and Width will be used to resize an image (without keepping aspect)
p1 = 4 both Height and Width will be used to resize an image (with keepping aspect)
p1 = 5 Height will be used to calculate new Width (keepping aspect, image will not be resized if new Height and Width are less than original)
p1 = 6 Width will be used to calculate new Height (keepping aspect, image will not be resized if new Height and Width are less than original)
p1 = 7 both Height and Width will be used to resize an image (without keepping aspect, image will not be resized if new Height and Width are less than original)
p1 = 8 both Height and Width will be used to resize an image (with keepping aspect, image will not be resized if new Height and Width are less than original)

Resize(i1;i2) Resizes an image by Percentage
i1 - Procent of current Height of an image (integer from 1 to 100%)
i2 - Procent of current Width of an image (integer from 1 to 100%)

Canvas_size(i1;i2;i3;i4;i5;i6) Change canvas size of an image
i1 - New Height of an image (integer)
i2 - New Width of an image (integer)
For i3 = 1 an image will be aligned to the left-top
i3 = 2 an image will be aligned at the center-top
i3 = 3 an image will be aligned at the right-top
i3 = 4 an image will be aligned at the center-left
i3 = 5 an image will be aligned at the center
i3 = 6 an image will be aligned at the center-right
i3 = 7 an image will be aligned at the left-bottom
i3 = 8 an image will be aligned at the center-bottom
i3 = 9 an image will be aligned at the right-bottom
i4 - Red component of canvas color (integer from 0 to 255)
i5 - Green component of canvas color (integer from 0 to 255)
i6 - Blue component of canvas color (integer from 0 to 255)

Watermark(s1;i1;i2;i3) Adds Watermark without transperency effect
s1 - Full path to watermark image file (string without quotation marks)
i1 - Percent horizontal position of left upper watermark image's corner (integer from 1 to 100%)
i2 - Percent vertical position of left upper watermark image's corner (integer from 1 to 100%)
i3 - Opacity percent of watermark image (integer from 1 to 100%)

Watermark(s1;i1;i2;i3;i4;i5;i6;i7) Adds Watermark with transperency effect
s1 - Full path to watermark image file (string without quotation marks)
i1 - Percent horizontal position of left upper watermark image's corner (integer from 1 to 100%)
i2 - Percent vertical position of left upper watermark image's corner (integer from 1 to 100%)
i3 - Opacity percent of watermark image (integer from 1 to 100%)
i4 - Red component of transparency color (integer form 0 to 255)
i5 - Green component of transparency color (integer form 0 to 255)
i6 - Blue component of transparency color (integer form 0 to 255)
i7 - Tolerance value for transparency color coincidence (integer from 0 to 100)

Text_watermark(s1;i1;i2;i3;s2;i4;i5;i6;i7;i8;i9;i10;i11;i12) Adds text watermark
s1 - Text string (without quotation marks)
i1 - Percent horizontal position of left upper watermark text's corner (integer from 1 to 100%)
i2 - Percent vertical position of left upper watermark text's corner (integer from 1 to 100%)
i3 - Opacity percent of watermark text (integer from 1 to 100%)
s2 - Name of font used to place text watermark (string without quotation marks)
i4 - Font size (integer from 1 to 100)
i5 - Red component of font color (integer form 0 to 255)
i6 - Green component of font color (integer form 0 to 255)
i7 - Blue component of font color (integer form 0 to 255)
i8 = 1 font will include the bold option, and = 0 otherwise
i9 = 1 font will include the italic option, and = 0 otherwise
i10 = 1 font will include the underline option, and = 0 otherwise
i11 = 1 font will include the strike option, and = 0 otherwise
i12 = 1 name of converted file will be used instead of s1 string, = 0 otherwise

Add_border(i1;i2;i3;i4;p1;i5;i6;i7;p2) Adds color border to an image
i1 - Border width (integer in pixels)
i2 - Red component of border color (integer from 0 to 255)
i3 - Green component of border color (integer from 0 to 255)
i4 - Blue component of border color (integer from 0 to 255)
i5 - Red component of background color (integer from 0 to 255)
i6 - Green component of background color (integer from 0 to 255)
i7 - Blue component of background color (integer from 0 to 255)
For p1 = 1 Border shape will be ellipse
p1 = 2 Border shape will be rectangle
For p2 = 1 Border will be placed inside an image
p2 = 2 Border will be placed outside an image

Add_shadow(i1;i2;i3;i4;i5;i6;i7;i8) Adds color shadow to an image
i1 - Shadow size (integer in pixels)
i2 - Distance to the shadow (integer in pixels)
i3 - Red component of shadow color (integer from 0 to 255)
i4 - Green component of shadow color (integer from 0 to 255)
i5 - Blue component of shadow color (integer from 0 to 255)
i6 - Red component of background color (integer from 0 to 255)
i7 - Green component of background color (integer from 0 to 255)
i8 - Blue component of background color (integer from 0 to 255)

Color_replace(i1;i2;i3;i4;i5;i6;i7) replaces colors of pixels
i1 - Red component of original color (integer from 0 to 255)
i2 - Green component of original color (integer from 0 to 255)
i3 - Blue component of original color (integer from 0 to 255)
i4 - Red component of replacement color (integer from 0 to 255)
i5 - Green component of replacement color (integer from 0 to 255)
i6 - Blue component of replacement color (integer from 0 to 255)
i7 - Tolerance value for the colors coincidence (integer from 0 to 100)

Replace_background(s1;i1;i2;i3;i4;i5) Replaces solid background with image
s1 - Full path to the replacement image file (string without quotation marks)
i1 = 1 the replacment image will not be stretched, and = 0 otherwise
i2 - Red component of background color (integer form 0 to 255)
i3 - Green component of background color (integer form 0 to 255)
i4 - Blue component of background color (integer form 0 to 255)
i5 - Tolerance value for background color coincidence (integer from 0 to 100)

Change_to_2(p1) Changes color resolution to 2 colors For p1 = 1 will be used dithering
p1 = 2 will not be used dithering

Change_to_4(p1) Changes color resolution to 4 colors
For p1 = 1 will be used dithering
p1 = 2 will not be used dithering

Change_to_8(p1) Changes color resolution to 8 colors
For p1 = 1 will be used dithering
p1 = 2 will not be used dithering

Change_to_16(p1) Changes color resolution to 16 colors
For p1 = 1 will be used dithering
p1 = 2 will not be used dithering

Change_to_32(p1) Changes color resolution to 32 colors
For p1 = 1 will be used dithering
p1 = 2 will not be used dithering

Change_to_64(p1) Changes color resolution to 64 colors
For p1 = 1 will be used dithering
p1 = 2 will not be used dithering

Change_to_128(p1) Changes color resolution to 128 colors
For p1 = 1 will be used dithering
p1 = 2 will not be used dithering

Change_to_256(p1) Changes color resolution to 256 colors
For p1 = 1 will be used dithering
p1 = 2 will not be used dithering

Change_to_true Changes color resolution to True colors (24 bit)

Change_to_gray(p1) Changes color resolution to Gray (8 bit)
For p1 = 1 will be used dithering
p1 = 2 will not be used dithering

Change_to_high Changes color resolution to High colors (16 bit)

Change_to_gray24 Changes color resolution to Gray (24 bit)

Change_to_negative Makes negative color transformation

This is an example of text script file:

Watermark(C:\NOT_REG.BMP;100;100;100)
Text_watermark(copy;50;50;90;Times New Roman;24;255;0;0;1;0;0;0;0)
Add_border(5;128;128;128;1;255;255;255;1)
Add_shadow(5;5;128;128;128;255;255;255)
Rotate(90;1;128;128;128)
Mirror(1)
Crop(10;10;10;10)
Resize(100;100;1)
HSV(0;0;0)
Smooth(0.75;50;1)
Blur(2.50;50)
Sharpen(0.75;50;1)
Detail(0.75;50;1)
Contour(1.00;100;1;1)
BCG(0;0.58;1.65;2)
RGB(30;0;0)
CMY(0;0;0)
YCbCr(0;0;0)
HLS(0;0;0)
Color_replace(128;128;128;128;128;128;5)
Replace_background(C:\test.bmp;0;255;255;255;15)
Change_to_2(1)
Change_to_4(1)
Change_to_8(1)
Change_to_16(1)
Change_to_32(1)
Change_to_64(1)
Change_to_128(1)
Change_to_256(1)
Change_to_true
Change_to_gray(1)
Change_to_high
Change_to_gray24
Change_to_negative

See also:

Format of config file

Command line utility overview


Command line utility :: Format of config file

Using ReaConverter Pro

Command line utility :: Format of config file

Section [Common]

1) Source = string with path to image files you want to be converted
2) Ext_source = string with extension (type) of image files you want to be converted
3) Destination = string with path to the destination folder
4) Ext_dest = string with extension (type) of converted image files
5) Same_date = 1 if you want to set converted file date same as original file and = 0 otherwise
6) Save_path = 0 if you want to save all files into one (destination) folder, = 1 if you want to to convert with saving path info of an original file starting from a root folder and = 2 if you want to to convert with saving path info starting from a current folder
7) Use_FileList = string with path to a text file with list of files you want to be converted
8) Read_Subfolders = 1 if you want to process files from subfolders of folder defined by "Source" parameter and = 0 therwise
9) Wmf_zoom = EMF/WMF images will be resized by the value (from 1 to 500%)
10) Overwrite = 0 if you want to replace (overwrite) existing file, = 1 if you want to be asked about overwriting and = 2 if you do not want to overwrite existing file
11) Delete_files = 1 if you want to delete successfully processed (source) files and = 0 otherwise. Note, it will not delete a source file if a converted file has the same name and type.
12) Eps_dpi = integer number that specify DPI resolution for loading EPS, PS and PDF fles (from 1 to 1200)
13) Raw_width = width (in pixels) of RAW file that you want to load
14) Raw_height = height (in pixels) of RAW file that you want to load
15) Raw_color = 0 for loading Grayscale, = 1 for loading RGB, = 2 for loading BGR file
16) Raw_offset = positive integer number that means number of bytes used for optional RAW header
17) Priority = positive integer number varying from 1 (low) to 5 (high) priority
Examples:

1. It will process all TIF files from c:\
[Common]
Source=c:\
Ext_source=TIF
Destination=c:\123
Ext_dest=jpg
Same_date=0
Save_path=1
Use_FileList=
Read_Subfolders=0

2. It will process all files described in filelist.txt.
[Common]
Source=c:\
Ext_source=TIF
Destination=c:\123
Ext_dest=jpg
Same_date=0
Save_path=1
Use_FileList=c:\filelist.txt
Read_Subfolders=0

Example of filelist.txt:
c:\folder1\file1.bmp
c:\folder1\file2.jpg
c:\folder2\folder3\file2.png

Section [File name]

1) Prefix = string with a text prefix that will be added to filename of converted files
2) Suffix = string with a text suffix that will be added to filename of converted files
3) Prefix_num = initial prefix number that will be added to filename of converted files
4) Suffix_num = initial suffix number that will be added to filename of converted files
5) Add_prefix = 0 if you do not want to add prefix, = 1 if you want to add a text prefix, = 2 if you want to add a numerical prefix, = 3 if you want to add a Date+time prefix to filename of converted files
6) Add_suffix = 0 if you do not want to add suffix, = 1 if you want to add a text suffix, = 2 if you want to add a numerical suffix, = 3 if you want to add a Date+time prefix to filename of converted files
7) Leading_zeros = 1 if you want to add leading zeros to numeric prefix and/or suffix, and = 0 otherwise
8) Digits = number that specifies number of digits reserved for the numerical prefix and/or suffix, this option works if Leading_zeros = 1
9) File_case = 0 for lower case, = 1 for upper case and = 2 for no change of converted filenames
10) Ext_case = 1 if you want to get converted files with lower case extention and = 0 otherwise
11) Replace_name = 1 if you want to replace a substring in filename and = 0 otherwise
12) Substring_1 = string to be replaced in filename
13) Substring_2 = string to be replaced with in filename
Example:

It will add a text prefix "new_" and a numerical suffix "0001", "0002" etc.
[File name]
Prefix=new_
Suffix=
Prefix_num=0
Suffix_num=1
Add_prefix=1
Add_suffix=2
Leading_zeros=1
Digits=4
File_case=2
Ext_case=1
Replace_name=0
Substring_1=
Substring_2=

Section [Jpeg]

1) Quality = quality for converted JPG files (from 1 to 100%)
2) Size = appoximate size of converted JPG files (from 1 to 999 kb)
3) Use_quality = 1 if you want the program to use quality value to create JPG files and = 0 if you want to set a size of converted JPG files
4) Progressive = 1 if you want to create progressive JPG files and = 0 otherwise
5) Color_model = color model used to create JPG files (0 - YCbCr; 1 - CMYK; 2 - RGB; 3 - YCbCrK; 4 - Gray)
Example:

1. It will create progressive JPG files using quality = 75
[Jpeg]
Quality=75
Size=50
Use_quality=1
Progressive=1
Color_model=0
2. It will create JPG files, an appoximate size of the files will be 50 kb
[Jpeg]
Quality=75
Size=50
Use_quality=0
Progressive=0
Color_model=0

Section [Gif]

1) Auto_color = 1 if you want the program to take transparency color in auto mode and = 0 otherwise
2) Color_red = red component of transparency color (from 0 to 255)
3) Color_green = green component of transparency color (from 0 to 255)
4) Color_blue = blue component of transparency color (from 0 to 255)
5) Transparency = 1 if you want to create transparent GIF files and = 0 otherwise
6) Interlaced = 1 if you want to create interlaced GIF files and = 0 otherwise
Example:

[Gif]
Auto_color=1
Color_red=0
Color_green=0
Color_blue=1
Transparency=1
Interlaced=0

Section [Tif]

1) Compression = compression method used to create TIF files (1 - no compression; 2 - Huffman; 3 - PackBits (RLE); 4 - CCITT Group 3, 1D; 5 - CCITT Group 3, 2D; 6 - CCITT Group 4, 2D)
Example:

[Tif]
Compression=2

Section [Png]

1) Auto_color = 1 if you want the program to take transparency color in auto mode and = 0 otherwise
2) Color_red = red component of transparency color (from 0 to 255)
3) Color_green = green component of transparency color (from 0 to 255)
4) Color_blue = blue component of transparency color (from 0 to 255)
5) Transparency = 1 if you want to create transparent PNG files and = 0 otherwise
6) Interlaced = 1 if you want to create interlaced PNG files and = 0 otherwise
7) Compression = level of compression, the value can vary from 0 (no compression) to 9 (best compression)
Example:

[Png]
Auto_color=1
Color_red=0
Color_green=0
Color_blue=1
Transparency=1
Interlaced=0
Compression=5

Section [Bmp]

1) Compressed = 1 if you want to create compressed BMP files and = 0 otherwise
Example:

[Bmp]
Compressed=1

Section [Pcx]

1) Compressed = 1 if you want to create compressed PCX files and = 0 otherwise
Example:

[Pcx]
Compressed=1

Section [Tga]

1) Compressed = 1 if you want to create compressed TGA files and = 0 otherwise
Example:

[Tga]
Compressed=1

Section [Jp2]

1) Quality = quality for converted JP2 files (from 1 to 100%)
Example:

[Jp2]
Quality=75

Section [Ico]

1) Multipage = 1 if you want to create standard multipage Windows XP icon and = 0 otherwise
2) Custom = 1 if you want to create custom icon and = 0 otherwise
3) Width = custom width in pixels
4) Height = custom height in pixels
5) Color_res = custom color resolution, can be = 0 (16 colors), = 1 (256 colors) and = 2 (True color)
Example:

[Ico]
Multipage=0
Custom=1
Width=32
Height=32
Color_res=2

Section [Multipage]

1) Option = 0 if you want to convert each multipage file to another, = 1 if you want to save all processed files to one GIF/TIF file, = 2 if you want to save every page of converted file as a separate file
2) Add_multipage_prefix = 1 if you want to add prefix to filename of converted page and = 0 otherwise (used with Option=2 only)
3) Add_multipage_suffix = 1 if you want to add suffix to filename of converted page and = 0 otherwise (used with Option=2 only)
4) Multipage_prefix = initial prefix number that will be added to filename of converted page (used with Option=2 only)
5) Multipage_suffix = initial suffix number that will be added to filename of converted page (used with Option=2 only)
Example:

[Multipage]
Option=0
Add_multipage_prefix=0
Add_multipage_suffix=0
Multipage_prefix=0
Multipage_suffix=0

Section [Save_params]

1) Color_option = 0 if you want to use output "Bits per sample" and "Sample per pixel" values from original file, = 1 if you want to define the output color resolution values yourself, = 2 if you want to use optimum values which will be calculated for each converted file
2) Bits_per_sample = number of bits used to store information about each color channel (from 1 to 8)
3) Samples_per_pixel = number of color channels used to store information about one pixel (can be 1 or 3)
4) Dpi_option = 0 if you want to copy information about dpi resolution from original file, = 1 if you want to set your own values for dpi resolution
5) Dpi_x = horizontal resolution for converted files (from 1 to 10000 dpi)
6) Dpi_y = vertical resolution for converted files (from 1 to 10000 dpi)
7) Copy_alpha = 1 if you want to copy information about alpha channel (transparency) from original file and = 0 otherwise
8) Copy_iptc = 1 if you want to copy IPTC information from original file and = 0 otherwise
9) Copy_exif = 1 if you want to copy EXIF information from original file and = 0 otherwise
Example:

[Save_params]
Color_option=1
Bits_per_sample=8
Samples_per_pixel=1
Dpi_option=0
Dpi_x=72
Dpi_y=72
Copy_alpha=0
Copy_iptc=1
Copy_exif=1

Section [Thumbnail]

1) Create = 1 if you to create thumbnail copy of converted image to JPG file and = 0 otherwise
2) Destination = string with path to the destination folder
3) Jpg_quality = quality for converted JPG files (from 5 to 100%)
4) Jpg_res = resolution for converted JPG files (from 1 to 10000dpi)
5) Height = height of thumbnail copy in pixels
6) Width = width of thumbnail copy in pixels
7) Save_path = 1 if you want to save copy with path info of an original file and = 0 otherwise
8) Prefix = string with prefix that will be added to filename of thumbnail copy
9) Suffix = string with suffix that will be added to filename of thumbnail copy
10) Add_prefix = 1 if you want to add prefix to filename of thumbnail copy and = 0 otherwise
11) Add_suffix = 1 if you want to add suffix to filename of thumbnail copy and = 0 otherwise
12) Ext_case = if you want to get thumbnail copy files with lower case extention and = 0 otherwise
13) Case = 0 for lower case, = 1 for upper case and = 2 for no change of thumbnail copy filenames
14) Resize_type = 1 to use both height and width (do not keep aspect) of thumbnail copy, = 2 to use only height (keep aspect) and = 3 to use only width (keep aspect), = 4 to use both height and width (keep aspect)
15) Do_not_resize_if_less = 1 if new Height and Width are less than current values then image will not be resized, = 0 otherwise
16) Overwrite = 0 if you want to replace (overwrite) existing thumbnail file, = 1 if you want to be asked about overwriting and = 2 if you do not want to overwrite existing file
Example:

[Thumbnail]
Create=1
Destination=c:\
Jpg_quality=75
Jpg_res=72
Height=100
Width=150
Save_path=1
Prefix=thumb_
Suffix=_thumb
Add_prefix=0
Add_suffix=0
Ext_case=1
Case=1
Resize_type=1
Do_not_resize_if_less=0
Overwrite=0

See also:

Format of text script file

Command line utility overview


How to...

Add files to work on

Convert images

Edit images

Save files

Save files to the fixed size

Change script

Use saved script

Save program parameters

Change color resolution

Make a border

Crop images

Resize images

Make watermark

Make transparent GIF/PNG

Work with test image

Create thumbnails

Convert PDF, EPS

Work on multipage PDF/TIF/GIF


Add files to work on

How to...

Add files to work on

To work on images you should add them to File List (Files to convert right-window) at the 1st Step of the program. Please, note that the program can work with files from different folders and of different file extensions at the same time.

The 1st step interface includes two main windows: Files area (displays your files) - at left and File List (displays added files to work on) at right.

You can add files to File List by several different ways:

Add a single image file.

  • Navigate through your file system by clicking on folders and drives, click the file name and push "Add to File List" button.
  • You can drag&drop the image file to File List.

Add lots of files from a single folder.

  • To add every file from the folder click the folder and push "Add all to File List" button. This way you will add all images including from sub-folders.
  • To add some files from the folder, select them and push "Add to File List" button. This way you will add to your File List only selected files.
  • Drag&drop every image from the left to the right window.

Add lots of files from different folders.

  • To add every file from the folder and its sub-folders click the folder and push "Add all to File List" button. This way you will add all images including from sub-folders.
  • Navigate through your file system by clicking on folders and drives, select files to add and use "Add to File List" button when selected.
  • Drag and drop every image from different folders from the left to the right window.

Add all files from the disc.

  • Select the disc and use "Add to File List".

You can always save you File List from the Main menu>File>Save File List As... and load it then from the Main menu>File>Open File List.

See also:

How to convert images

How to edit images


Convert images

How to...

Convert images

After you start the program, navigate through your file system by clicking on folders and drives at the left part of the 1st step window, select folder or files and use "Add all to File List" (or just "Add to File List") to move them to the right window (File List). The program can work with files from different folders and of different file extensions at the same time.

If all that you need is just convert you images then skip the 2nd Step and go to the third. If no, choose the way you would like to edit images and go to the last step. Specifying saving parameters, you already making the task to change the extension of your added files to the one needed.

Now use "Start" button and get every of your files edited with your saved actions (if selected) into your desired file format.

See also:

How to edit images


Edit images

How to...

Edit images

After you start the program, navigate through your file system by clicking on folders and drives at the left part of the 1st step window, select folder or files and use "Add all to File List" (or just "Add to File List") to move them to the right window (File List). The program can work with files from different folders and of different file extensions at the same time.

ReaConverter Pro currently supports most popular editing features digital artist may occur. When files added to the program go to the 2nd Step and click the appropriate tab to choose between action's settings.

Each action can be tested on a sample image, so you can see the effect it will have on your images.

When you have tested some action in some value and ready to apply it to your images use "Add to Script".

Script is a set of image editing actions that should work on your images. The order of actions shows the order of application. Say, you have a script of actions

Crop
Resize
Add border/shadow

This script will work on your images right at this order.

To change the order, use "Move Up" and "Move down" when standing at the action to move. You can also remove any action with "Remove" or del staying at the action to remove from the script.

When script is ready, test it on sample image ("Test Script"), go to the 3rd Step, choose the file extension and output folder to save in and press "Start".

See also:

How to convert images


Save files

How to...

Save files

Your images can be saved as - BMP, JPG, GIF, PBM, PGM (ASCII), PGM (binary), PNG, PPM (ASCII), PPM (binary), TGA, TIF, PCX, JP2. Click the appropriate extension (BMP, TGA, PNG, TIF, etc.) at the 3rd Step to save selected files in. Then, use "Brose..." button to choose output folder.

Saving files as JPG

Saving your files as JPG you can specify its Quality or Size at the "Additional Settings" => Save Parameters => JPG.

Saving files as GIF

You can also make transparent color when saving as GIF files. To make this, choose save as GIF and refer to "Additional Settings" => Save Parameters => GIF. Then click "Make a transparent GIF", then "Use this color" and push "Color" button to choose the color to be transparent from palette. To create an interlaced GIF check the appropriate box.

Saving files as PNG

The same logic to create transparent PNG should be used (refer to "Additional Settings" => Save Parameters => PNG). Here you can also set PNG compression level and create an interlaced PNG.

Saving files as TIF

Saving as TIF you can indicate one of several compression types (Huffman; PackBits (RLE); CCITT Group 3, 1D; CCITT Group 3, 2D; CCITT Group 4, 2D). To make this refer to "Additional Settings" => Save Parameters => TIF.

Saving multi page GIF or TIF

To create multi page GIF or TIF from many files refer to "Additional Settings" => Save Parameters => Multipage settings and use "Save all processed files to one GIF/TIF file" option. Input files can be any; the option will work only if specified output file is TIF or GIF. The name of the output multi page file will be the name of the first input file.

To create multi page GIF or TIF from another multipage file use "Convert each multipage file to another" (one into one). Input files can be PDF, TIF, GIF. The option will work only if specified output file is TIF or GIF. If specified output file extension will be different only the first page of multi page file will be saved.

Save every page of multi page file into a separate file

To save every page of multi page file into separate file use "Save every page as a separate file" option. Input files can be multi page PDF, TIF or GIF. Output file can be any of the available. Here you can also specify the initial numeration for prefix or/and suffix (check "Add prefix starting from" or/and "Add suffix starting from").

Naming files

  • Prefix. To add prefix to filename click the appropriate field and write what should go before the name of every of your files. It can be text or numeric and you can number output files.
  • Suffix. To add suffix to filename click the appropriate field and write what should go after the name of every of your files. It can be also both text and numeric.
  • Renaming. To rename converted files use "Replace in filename" ... (what should be replaced) by ... (by what should be replaced).

You can also try some additional features that include:

deleting all successfully processsed files after conversion ("Delete files after conversion"),

making the creation day of output files the same as input ("Set converted file date same as original")

and

converting with saving path info of an original file ("Convert with saving path info from root/current folder"). Using this option your output files will be saved into "Destination folder" but into sub-folders with the same names as initial folders of input images have.

See also:

How to save files to the fixed size


Save files to the fixed size

How to...

Save files to the fixed size

Currently you can save your images to a fixed size as JPG.

To make this, go to the 3rd Step, and choose Save as JPG. Then refer to "Additional Settings" => Save Parameters => JPG, click on Size and 'up pointer'/'down pointer' to save JPG to fixed size.

See also:

How to edit images


Change script

How to...

Change script

You can work on your script at the 2nd Step of the program.

Script is a set of image editing actions that should work on your images. The order of actions shows the order of application. Say, you have a script of actions

Crop
Resize
Add border/shadow

This script will work on your images right at this order.

To change the order, use "Move Up" and "Move down" when standing at the action to move. You can also remove any action with "Remove" or del staying at the action to remove from the script.

To change any value of any action at current script, choose it at the script window, then change this action (it will be active at left), and use "Update".

See also:

How to use saved script


Use saved script

How to...

Use saved script

You can always save your script to use it later. This way you will have a number of basic image editing actions grouped in scripts. Even if it is complicated script, sometimes it is better to open it, change in some way and apply to images now.

To open saved script, go to Main Menu>Script>Open Script...

Your scripts are stored as ReaConverter Pro special designed .wpt file.

Go to the 2nd Step of the program at apply any action of the script to your sample image.

Modify any action at the script, make new order and save it to use later before applying to this case.

Now you can add your files at the 1st Step, specify saving parameters at the 3rd and press "Start" button.


Change color resolution

How to...

Change color resolution

You can change the color resolution of your images at the 2nd Step of the program by using "Color Resolution" action.

Change color resolution of a singe image.

If all you need is to change the color resolution of a single image, load it as test image (press "Load" at test image part at the right), change color resolution and use "Apply to test".

To return to the initial image look use "Retrieve" or "Undo last" to take off the last applied action.

When you double click the image the full test image window opens.

If you have tested all the values of the action you can now save your sample image as BMP, JPG, GIF, PBM, PGM, PNG, PPM, TGA, TIF by using "Save As.." button at test image part at right.

Change color resolution of a many images at the same time.

Choose your images at the 1st Step and add them to your File List. Then test the way you would like to edit your images at the 2nd step as said above and add the action "Color Resolution" to your script. Specify saving parameters at the 3rd step and press "Start".

See also:

How to create script

How to work with test image


Save program parameters

How to...

Save program parameters

As you can see, the program is already opened with all your last time using parameters. Starting the work with the program, it is very convenient to load parameters saved before. The parameters that can be saved to load later includes: current folder of your images, your test image and all saving parameters including saving thumbnails.

To save program parameters, go to Main Menu>Settings>Save Parameters As...

Your parameters will be saved as ReaConverter Pro special designed .cfg file.


Make a border

How to...

Make a border

You can make a border (shadow) to your images at the 2nd Step of the program by using "Add border" action. With this action you can add color border or shadow to your images. The form of the border can be rectangle or ellipse. Placing border inside your image you will replace image's pixels by the border color. Placing border outside your image you will have it right behind your image. Making shadow to your image specify its size and distance that means interval between right-down corner of initial image and right-down corner of its background.

Make a border (shadow) to a singe image.

If all you need is to make a border (shadow) to a single image, load it as test image (press "Load" at test image part at the right), make border (shadow) and use "Apply to test".

To return to the initial image look use "Retrieve" or "Undo last" to take off the last applied action.

When you double click the image the full test image window opens.

If you have tested all the values of the action you can now save your sample image as BMP, JPG, GIF, PBM, PGM, PNG, PPM, TGA, TIF by using "Save As.." button at test image part at right.

Make a border (shadow) to a many images at the same time.

Choose your images at the 1st Step, add them to your File List. Then test the way you would like to edit your images at the 2nd step as said above and add the action "Add Border" to your script. Specify saving parameters at the 3rd step and press "Start".

See also:

How to create script

How to work with test image


Crop images

How to...

Crop images

You can crop your images at the 2nd Step of the program by using "Crop" action. This action allows you to crop images from any edge, crop them from the center, automatically detect cropping area and crop it.

Crop a singe image.

If all you need is to crop to a single image, load it as test image (press "Load" at test image part at the right), choose the value of the action and use "Apply to test".

To return to the initial image look use "Retrieve" or "Undo last" to take off the last applied action.

When you double click the image the full test image window opens.

If you have tested all the values of the action you can now save your sample image as BMP, JPG, GIF, PBM, PGM, PNG, PPM, TGA, TIF by using "Save As.." button at test image part at right.

Crop many images at the same time.

Choose your images at the 1st Step and add them to your File List. Then test the way you would like to edit your images at the 2nd step as said above and add the action "Crop" to your script. Specify saving parameters at the 3rd step and press "Start".

See also:

How to create script

How to work with test image


Resize images

How to...

Resize images

If "Do not resize if less" is not inactive and:

  • "Use both height and width": both Height and Width will be used to resize an image (without keepping aspect)
  • "Use height (keep aspect)": Height will be used to calculate new Width (keepping aspect)
  • "Use width (keep aspect)": Width will be used to calculate new Height (keepping aspect)
  • "Use both height and width (keep aspect)": both Height and Width will be used to resize an image (with keepping aspect)

If "Do not resize if less" is active and:

  • "Use height (keep aspect)": height will be used to calculate new Width (keepping aspect, image will not be resized if new Height and Width are less than original)
  • "Use width (keep aspect)": width will be used to calculate new Height (keepping aspect, image will not be resized if new Height and Width are less than original)
  • "Use both height and width": both Height and Width will be used to resize an image (without keepping aspect, image will not be resized if new Height and Width are less than original)
  • "Use both height and width (keep aspect)": both Height and Width will be used to resize an image (with keepping aspect, image will not be resized if new Height and Width are less than original)

See also:

How to create script

How to work with test image


Make watermark

How to...

Make watermark

You can crop your images at the 2nd Step of the program by using "Watermark" action. This action helps you to apply graphic watermark on your images to protect your copyright. You can indicate its position, opacity level, transparent color and its tolerance.

Make watermark on a singe image.

If all you need is to make watermark on a single image, load it as test image (press "Load" at test image part at the right), choose the value of the action and use "Apply to test".

To return to the initial image look use "Retrieve" or "Undo last" to take off the last applied action.

When you double click the image the full test image window opens.

If you have tested all the values of the action you can now save your sample image as BMP, JPG, GIF, PBM, PGM, PNG, PPM, TGA, TIF by using "Save As.." button at test image part at right.

Make watermark on many images at the same time.

Choose your images at the 1st Step and add them to your File List. Then test the way you would like to edit your images at the 2nd step as said above and add the action "Watermark" to your script. Specify saving parameters at the 3rd step and press "Start".

See also:

How to create script

How to work with test image


Make transparent GIF/PNG

How to...

Make transparent GIF/PNG

Making transparent GIF / PNG pay attention that it should be made at the 3rd step when saving images you are working on. When pointing "Use transparency" at Watermark action at the 2nd step you will only make transparent watermark on your images but not a transparent GIF or PNG.

To make transparent GIF / PNG click the appropriate extension at the 3rd step, then refer to "Additional Settings" => Save Parameters => GIF or "Additional Settings" => Save Parameters => PNG and click "Make a transparent GIF (or PNG). Then click "Use this color" and push "Color" button to choose the color to be transparent from palette.

This way when you push "Start" you will get your images saved as GIF (or PNG) with the chosen transparent color.


Work with test image

How to...

Work with test image

You can work with test image at the 2nd Step of the program.

Preparing image editing script to work open one of your images to try every editing action in any value. To make this use "Load..." button.

To give you an idea how to test editing actions on a sample image we provide you with this short description:

Open your sample image, then make "Apply to test" at the bottom of any action to see how this value will affect your image. If you have already made the script you can try any separate action with "Test Action" or all actions at the script with "Test Script".

To return to the initial image look use "Retrieve" or "Undo last" to take off the last applied action.

When you double click the image the full test image window opens.

If you have tested all the actions you can now save your sample image as BMP, JPG, GIF, PBM, PGM, PNG, PPM, TGA, and TIF.

See also:

How to create script


Create thumbnails

How to...

Create thumbnails

When you save your images you can also create thumbnail for every image that you are working on. The 3rd Step has an optional feature placed at the botton tab and called "Thumbnail Parameters (optional)". Click the tab so you will see the optional Step to specify thumbnail parameters. Note, that all your thumbnails will be saved as JPG.

See also:

Saving images


Convert PDF, EPS

How to...

Convert PDF, EPS

Refer to this link to install this Ghostscript distributive addition on your computer: ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs800/gs800w32.exe (~5.6 Mb)

When you install this application on your computer you will be able to convert EPS and PDF files with ReaConverter Pro.

See also:

Converting images


Work on multipage PDF/TIF/GIF

How to...

Work on multipage PDF/TIF/GIF

"Convert each multipage file to another" (one into one).

Input files can be PDF, TIF, and GIF. The option will work only if specified output file is TIF or GIF. If specified output file extension will be different only the first page of multi page file will be saved.

"Save all processed files to one GIF/TIF file" (many into one).

Input files can be any; the option will work only if specified output file is TIF or GIF. The name of the output multi page file will be the name of the first input file. If specified output file will be different the software will convert all files to the specified extension (one to one).

"Save every page as a separate file".

Input files can be multi page PDF, TIF or GIF. Output file can be any of the available. Here you can also specify the initial numeration for prefix or/and suffix (check "Add prefix starting from" or/and "Add suffix starting from").

See also:

How to save files


Tips and Tricks

Adding files with different extension

Adding files from different folders

Saving File List

Add all files from the disc

Viewing images before adding

Saving all program parameters

Testing image editing actions


Adding files from different folders

Tips and Tricks

Adding files from different folders

Note that you can work on files from different folders at the same time. To work on images you should add them to File List at the 1st Step: to add every file from the folder and it's sub-folders click the folder and push "Add all to File List" button; then navigate through your file system by clicking on folders and drives, select files to add and use "Add to File List" button when selected. Also you can always drag and drop any image from different folders from the left to the right window.


Adding files with different extension

Tips and Tricks

Adding files with different extension

Note that you can work on files with different extension at the same time. You can add chosen files to the File List at the 1st Step using "Add to File List" or you can add all files from the folder and it's subfolders using "Add all to File List" when staying at the folder.


Saving File List

Tips and Tricks

Saving File List

Note that you can always save you File List from the Main menu>File>Save File List As... and load it then from the Main menu>File>Open File List.


Add all files from the disc

Tips and Tricks

Add all files from the disc

Note that you can add all files from the disc. Just select the disc and press "Add to File List" button. The program will scan all folders and subfolders and include all image files to the File List.


Viewing images before adding

Tips and Tricks

Viewing images before adding

Note that you can view any of your files right at the program. Navigate through your file system at the left part pf the 1st Step by clicking on folders and drives, select files to add and click it twice. The program will show this image.


Saving all program parameters

Tips and Tricks

Saving all program parameters

Note that starting work with the program, it is very convenient to load parameters saved before. You can always save next parameters to use later: current folder of your images, your test image and all saving parameters from the 3rd Step. To save them, use Main Menu>Settings>Save Parameters As...

When you start the program, it is already opened with all your last time using parameters.


Testing image editing actions

Tips and Tricks

Testing image editing actions

Note, that you can test every action on the sample image before applying them to your images at File List. Every action can be tested separately and with other actions added to a script.

Open your sample image, and "Apply to test" at the bottom of any action to see how this value will affect your image. If you have already made the script you can try any separate action with "Test Action" or all actions at the script with "Test Script". To return to the initial image look use "Retrieve" or "Undo last" to take off the last applied action.


Registration and licensing

What is registration?

Why should I register?

Licensing agreement

How can I register?


What is registration?

Tips and Tricks

What is registration?

ReaConverter Pro is "Shareware". This means that we have made the software available to you for free evaluation.

Non-registered ReaConverter Pro is a "full-featured" release. This means that the same capabilities available in the registered software are present in the non-registered software. The only difference is that you can work up to 5 files at once. This allows you to try out all the features in ReaConverter Pro to confirm that it works to your satisfaction.

See also:

Why should I register?


Why should I register?

What is registration?

Why should I register?

For many people, the most pressing reason to register is to work on lots of files at the same time. Moreover, registration gives you free technical support and it may also entitle you to discounts on new software releases from ReaSoft.com. Finally, by registering the software, you provide us with the resources and incentive to support the software with updates and to develop additional quality shareware products in the future.

See also:

How can I register?


Licensing agreement

What is registration?

Licensing agreement

License Agreement

You should carefully read the following terms and conditions before using this software.

Shareware License

This is not free software. You are hereby licensed to use this software for evaluation purposes without charge for an unlimited period. But you will be able to process only up to 5 images at a time. If you want to process an unlimited number of files a registration fee is required.

Disclaimer of Warranty

REACONVERTER PRO IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. REASOFT WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

Distribution

The ReaConverter Pro unregistered trial version, may be freely distributed, with exceptions noted below, provided the distribution package is not modified. No person or company may charge a fee for the distribution of ReaCoverter Pro without written permission from the copyright holder. The ReaConverter Pro unregistered trial version may not be bundled or distributed with any other package without written permission of the copyright holder. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.


How can I register?

What is registration?

How can I register?

Please, visit our web-site to get more information and register:

http://www.reasoft.com/cgi-bin/order?reaconverter


About ReaSoft Development

ReaSoft.com is a company committed to meeting the needs of image professionals around the world. At the same time, our products have found a home with thousands of novice digital photographers and webmasters. This is because at ReaSoft.com, we know that making great software, means making it intuitive, easy to understand - yet still powerful enough to meet the most demanding industry requirements.

We are always striving to make our products better. If you have any bugs to report or features and improvements to suggest, please email them to support@reasoft.com

Our E-mails: |
General info: | info@reasoft.com
Support team: | support@reasoft.com
Sales team: | sales@reasoft.com
World Wide Web: | http://www.reasoft.com/
 | http://www.reasoft.net/
Forward mail to: | 102-15 62 Avenue 2 floor Forest Hills, NY 11375 USA
Send fax to: | +1 (425) 6962237


System requirements

ReaConverter Pro has been designed for Windows 95/98/ME/NT/2000/XP.

It has the following minimun system requirements:

  • Processor: Pentium 200 MHz
  • Memory (RAM): 64Mb
  • Free Hard Disk Space: 6Mb


Technical Support

Should the need arise you can contact our technical support team.

Before you contact us, please do the following:

  • Be sure that you're doing everything right. We all make mistakes sometimes... Be attentive.
  • Look the answer at the Help: it may already contain an answer to your question. A lot of people ask us something like "how do I...", though the complete information is there.

Our staff is available to respond to your inquiries 24 hours a day, excluding holidays. Messages are normally answered within the same day.

Please provide us with the following:

  • Software title and version
  • Where did you get our product (http or ftp site)
  • Windows version (including service packs and other fixes installed)
  • Computer information: CPU type and speed, amount of memory installed
  • Description of your problem (as much information as possible to retrieve the problem)

If you have any suggestions or features you like to see added to our products please send us mail to support@reasoft.com or visit us at: http://www.reasoft.com/support/